관리 메뉴

버리야 날자

The Eclipse executable launcher was unable to locate its companion shared library. Error 본문

나만의 작업/Mac

The Eclipse executable launcher was unable to locate its companion shared library. Error

버리 버리야 2008.11.11 21:32
Eclipse launcher 실행 중의 오류~
환경은 MacOS X, Eclipse v3.4.1

eclipse에서 plugin update를 하고 난후 restart를 한 후 갑자기 "The Eclipse executable launcher was unable to locate its companion shared library" 이런 메세지를 흘리면서 아무것도 안될때!

검색해보니, MacOS X에서의 eclipse bug로 올라와 있군요.

터미널에서
/Applications/eclipse/Eclipse.app/Contents/MacOS 폴더에서 eclipse.ini 파일을 한 줄만 수정해 주면 되는군요~

--launcher.library
../../../plugins/org.eclipse.equinox.launcher.carbon.macosx_1.0.100.v20080509-1800  <-- 이 부분을 삭제하고

다음과 같이 수정해주면 됩니다.
../../../plugins/org.eclipse.equinox.launcher.carbon.macosx_1.0.101.R34x_v20080731


요렇게 바꿔준 후 start를 시도하면~ 한번에 되는군요.~

0 Comments
댓글쓰기 폼